libgd-graph-perl (1.48-2) unstable; urgency=medium

  * Fix explicitly (build-)depend on libgd-perl (with -gd2 fallbacks to
    ease backporting).
  * Update watch file to include metacpan.org URL (replacing
    search.cpan.org URL), in addition to www.cpan.org URL.
  * Update copyright info:
    + Extend packaging to cover recent years.
    + Bump licensing of packaging to GPL-3+.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2014 10:42:31 +0200

libgd-graph-perl (1.48-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Read DISTRIBUTION STATUS in perldoc GD::Graph.
    + Add x_last_label_skip option.
    + New samples and tweaks to old.
    + Add experimental hide_overlapping_values option for bar graphs.

  [ Gregor Herrmann ]
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.

  [ Salvatore Bonaccorso ]
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update copyright/licensing info:
    + Update file format to 1.0.
    + Fix use license and comment pseudo-sections to obey silly
      restrictions of copyright file format 1.0.
    + Quote license names in comments.
    + List upstream issue tracker as preferred contact.
    + Fix add email for main author.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Browser URI.
  * Bump standards-version to 3.9.4.
  * Bump debhelper compatibility to 8.
  * Simplify to enable CDBS copyright check and get-orig-source features
    unconditionally: Both are backporting-friendly nowadays - or rather
    nowadays is more CDBS-backporting friendly).
    Build-depend on devscripts.
  * Declare package relations in rules file.
  * Relax to (build-)depend unversioned on libgd-text-perl, cdbs and
    debhelper: Needed versions satisfied even in oldstable.
  * Update watch file to track new upstream maintainer, and simplify to
    drop unneeded version mangling.
    Switch get-orig-source target to use www.cpan.org/authors URL.

  [ Dominic Hargreaves ]
  * New upstream release
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 24 Feb 2014 19:24:41 +0000

libgd-graph-perl (1.44-6) unstable; urgency=low

  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Rewrap license fields at 72 chars.
  * Bump policy compliance to standards-version 3.9.2.
  * Improve package relations:
    + Relax (drop versioning) for package satisifed even in oldstable:
      - libgd-text-perl

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2011 15:38:18 +0200

libgd-graph-perl (1.44-5) unstable; urgency=low

  * Fix tidy a copyright section.
  * Update watch file:
    + Track both by-modules page and search.cpan.org.
    + Strip unneeded + in regexp.
  * Fix watch file.
  * Use CDBS perl-makemaker.mk (not deprecated perlmodule.mk).
  * Extend copyright years for Debian packaging.
  * Update copyright file:
    + Rewrite using DEP5 Subversion draft rev.173.
    + Extend years.
    + Use search.cpan.org page as source URL.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2011 17:56:19 +0100

libgd-graph-perl (1.44-4) unstable; urgency=low

  * Move to Debian Perl Group: Update Maintainer field.
  * Drop Sean Finney as uploader, to reflect reality.
  * Packaging moved to Git:
    + Update Vcs stanzas.
    + Add git-buildpackage configfile, enabling signed tags and use of
      pristine-tar.
    + Use source format 3.0 (quilt), with suitable local-options.
    + Git-ignore quilt .pc dir.
  * Drop locally included CDBS snippets: included in main cdbs now.
  * Fix indent list items in long description.
  * Add README.source. Drop custom hints about CDBS.
  * Add proper licensing header to debian/rules. Extend copyright years.
  * Strip now obsolete suffices from watch file.
  * Ease backporting to Debian stable: Relax inclusion of CDBS snippets
    required only in DEB_MAINTAINER_MODE, and supprress related build-
    dependencies.
  * Rewrite copyright file using draft rev135 of DEP5 format.
  * Bump Policy compliance to standards-version 3.9.1.
  * Fix depend on ${perl:Depends} and ${misc:Depends}. Thanks to
    lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2010 02:31:16 +0200

libgd-graph-perl (1.44-3) unstable; urgency=medium

  * Invoke svn-upgrade (not uupdate) in debian/watch.
  * Set urgency=medium as 2.04-1 included a FTBFS bugfix (similar to
    bug#487066).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jun 2008 20:42:46 +0200

libgd-graph-perl (1.44-2) unstable; urgency=low

  * Really advertise README.cdbs-tweaks as promised in -1.
  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Update local cdbs tweaks:
    + Major updates to copyright-check.mk, most importantly relax to
      only warn by default.
    + Various updates to update-tarball.mk, including changed wget
      options to work with recent versions of wget.
    + Drop buildcore.mk (set hints manually instead as needed).
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Fix double cdbs build-dependencies in debian/rules.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jun 2008 20:53:09 +0200

libgd-graph-perl (1.44-1) unstable; urgency=low

  * New upstream release.
  * Switch to team maintainance using Alioth project pkg-gd, and myself
    and Sean Finney as uploaders. If you (yes, you!) want to help
    packaging GD and related packages for Debian, please get in touch
    with us at pgk-gd-devel@lists.alioth.debian.org .
  * Update CDBS tweaks:
    + Replace auto-update.mk with overloading buildcore.mk.
    + Fix applying buildinfo only once.
    + Fix race condition: check copyright strings in pre-build target
      (not clean target). Closes: bug#385202, thanks to Florent Bayle
      for reporting and Steinar H. Gunderson for workaround in NMU.
      Enable copyright.check again.
    + Add upstream-tarball.mk to implement get-orig-source target.
    + Add debian/README.cdbs-tweaks and advertise it in debian/rules.
  * Declare build-dependencies in debian/rules.
  * Semi-auto-update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Aug 2007 21:27:42 +0200

libgd-graph-perl (1.43.08-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Comment out copyright-check.mk; it is not robust enough to avoid random
    false positives on buildds. (Closes: #)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  7 Sep 2006 14:10:08 +0200

libgd-graph-perl (1.43.08-2) unstable; urgency=low

  * Fix cdbs snippet copyright-check not cleaning up after itself.
  * Use build-depends (not build-depends-indep). build-depends-indep has
    no real use according to note in Debian Policy 7.6, and is badly
    supported by cdbs.
  * Suggest ttf-dustin (and drop Dustismo font as example file). Thanks
    to linda for noticing.
  * Use search.cpan.org/dist/ (not www.cpan.org/modules/by-modules/) in
    long description.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Aug 2006 17:21:04 +0200

libgd-graph-perl (1.43.08-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.7.2 (no changes needed).
  * Add local cdbs snippets auto-update.mk and copyright-check.mk.
  * Move buildinfo to local cdbs snippet buildinfo.mk.
  * Added Homepage to long description.
  * Update watch file to deal with upstream perlish version string.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jul 2006 17:16:03 +0200

libgd-graph-perl (1.43-2) unstable; urgency=medium

  * Buid-depend on imagemagick (needed to make test). Closes: Bug#264830
    (thanks to Roland Stigge <stigge@antcom.de>).
  * Standards-version 3.6.1 (no changes needed). This also closes:
    Bug#210413 (thanks to Peter Palfrader <weasel@debian.org>).
  * Change debian/copyright slightly:
    + Mention "Debian GNU systems" in first line, to emphasize the broad
      range of Debian.
    + Rephraze last sentence pointing to common-licenses, to please
      lintian (the note was technically correct before, but written in a
      way not recognized by lintian).
  * Update watch file:
    + Add comment about usage of the file.
    + Make regexp more generic.
  * Include (and build-depend on) dh-buildinfo.
  * Clean GIF files, generated by 'make test' with recent releases of
    libgd2.
  * Drop direct dependency on libgd (this library never uses the library
    directly, only through the dependency on libgd-text-perl).
  * Set urgency=medium due to the FTBFS of bug#264830 and the fact that no
    binaries have changed by this upload (except being compiled using a
    newer compiler).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Aug 2004 21:51:31 +0200

libgd-graph-perl (1.43-1) unstable; urgency=low

  * New upstream release.
  * Remove info from debian/copyright about who packaged - this info is
    in debian/changelog.
  * Remove info about Cetus font from debian/copyright - it is no longer
    included upstream.
  * Use official cdbs package again - earlier hacks are included now.
  * Standards version 3.6 (no changes needed).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2003 11:48:24 +0200

libgd-graph-perl (1.42-1) unstable; urgency=low

  * New upstream release.
  * Improve and reorder the load of cdbs files (Closes: Bug#198242).
  * Tighten watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jun 2003 04:57:25 +0200

libgd-graph-perl (1.40-2) unstable; urgency=low

  * Hack debian/debhelper.mk to include upstream changelog.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 May 2003 06:15:45 +0200

libgd-graph-perl (1.40-1) unstable; urgency=low

  * New upstream release.
  * Tighten (build-)dependency on libgd-text-perl to reflect upstream
    prerequisites in Makefile.pm (similar dependency on libgd-perl is
    fulfilled with all but the very first Debian package release, so not
    relevant).
  * Repackage using cdbs (with local perl additions).
  * Standards-Version 3.5.10 (no changes needed).
  * Lower build-dependency on perl a bit to match policy.
  * Generate sample images (included as examples).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 May 2003 00:00:55 +0200

libgd-graph-perl (1.39-2) unstable; urgency=low

  * Prefer libgd-gd2-* over older ones.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 May 2003 20:01:08 +0200

libgd-graph-perl (1.39-1) unstable; urgency=low

  * New upstream release.
  * Include new font Dustismo Sans as example only (for now...). Include
    its copyright (GPLv2) info to debian/copyright.
  * Change section to perl.
  * Claim compliance with Policy 3.5.9 (no changes needed).

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  9 Apr 2003 02:29:02 +0200

libgd-graph-perl (1.35+1.36nofont-1) unstable; urgency=medium

  * New upstream release.
  * Repackage upstream tarball to not include the truetype font: It
    lacks copyright and license info, and is therefore not allowed
    within Debian.
    + Make a note in debian/copyright about it.
    + Set urgency=medium on this upload.
  * Change to new default compilation options according to policy 3.5.7.
  * Run a 'make test' at compile time. Build-depend on libgd-text-perl.
  * Claim to comply with policy version 3.5.8.
  * Remove reference to no longer existing 20thcent.ttf and
    20thcent_Read_Me.txt.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Feb 2003 13:52:39 +0100

libgd-graph-perl (1.35-4) unstable; urgency=low

  * Depend on all variants of libgd-perl, and favor libgd-gd2-noxpm-perl
    (GD 2.x is no longer considered beta by upstream).
  * Add watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Nov 2002 04:53:41 +0100

libgd-graph-perl (1.35-3) unstable; urgency=low

  * Depend on either libgd-perl or libgd-gd2-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2002 06:48:50 +0200

libgd-graph-perl (1.35-2) unstable; urgency=low

  * Depend on unversioned libgd-perl, now that it is only a virtual
    package (and stable Debian contains libgd-perl way above the
    critical 1.9).
  * Build the package using binary-indep build-target (closes: #157481).
  * Add the non-clause to copyright, just to be on the safe side...

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Aug 2002 09:19:18 +0200

libgd-graph-perl (1.35-1) unstable; urgency=low

  * Newer upstream version.
  * Update copyright (add -2002, no other changes).

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  3 Jul 2002 21:25:26 +0200

libgd-graph-perl (1.33-4) unstable; urgency=low

  * Friendly takeover (Thanks, Piotr!): Change Maintainer field.
  * Repackaged using make-dh-perl.
  * Rewrite copyright.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Mar 2002 20:24:31 +0100

libgd-graph-perl (1.33-3) unstable; urgency=low

  * Build-Depends-Indep field in debian/control

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 17 Oct 2001 15:47:59 +0200

libgd-graph-perl (1.33-2) unstable; urgency=low

  * Updated debian/watch
  * woody release

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 30 Jul 2001 11:33:43 +0200

libgd-graph-perl (1.33-1) unstable; urgency=low

  * New upstream release
  * Moved out from contrib to main.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 31 Jan 2001 11:20:22 +0000

libgd-graph-perl (1.32-1) unstable; urgency=low

  * New upstream release
  * New yada compatible with Standards-Version: 3.1.0

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 22 Jul 2000 00:15:21 +0200

libgd-graph-perl (1.31-1) unstable; urgency=low

  * This release closes: #59442
  * Depends: ${perl:Depends}
  * debian/watch
  * New upstream release

 -- Piotr Roszatycki <dexter@debian.org>  Wed,  3 May 2000 16:09:09 +0200

libgd-graph-perl (1.24-1) unstable; urgency=low

  * The new different upstream source taken from CPAN.
  * yada 0.9

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  7 Apr 2000 12:58:29 +0200

libgd-graph-perl (0.9-2) unstable; urgency=low

  * /usr/doc/... symlink.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 18 Oct 1999 19:25:31 +0200

libgd-graph-perl (0.9-1) unstable; urgency=low

  * Initial Debian version.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 25 Aug 1999 21:32:14 +0200

